﻿// --------------------------------------------------------------
// Beispiel: ...\Kapitel 23\EinfacherAusdruck
// --------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace EinfacherAusdruck
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void DrawGraphic(Graphics g, int x1, int y1, int x2, int y2)
    {
      Pen pen = new Pen(Color.Black);
      for (int i = x1; i <= x2; i += 20)
        g.DrawLine(pen, x1, y1, i, y2);
      for (int i = x2; i >= x1; i -= 20)
        g.DrawLine(pen, x2, y1, i, y2);
    }

    private void pictureBox_Paint(object sender, PaintEventArgs e)
    {
      this.DrawGraphic(e.Graphics, 0, 0, pictureBox.ClientSize.Width, pictureBox.ClientSize.Height);
    }

    private void btnDrucken_Click(object sender, EventArgs e)
    {
      printDocument1.Print();
    }

    private void printDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
    {
      this.DrawGraphic(e.Graphics, e.MarginBounds.X, e.MarginBounds.Y, e.MarginBounds.Width + e.MarginBounds.X, e.MarginBounds.Height + e.MarginBounds.Y);
    }

  }
}